# GET /control/v1/activity/{request_id}

> GetActivityDetail

- `operationId`: `ControlV1ActivityRequestIdGetActivityDetail`
- Group: [Activity](https://sference.com/docs/api-reference/activity.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/activity/ControlV1ActivityRequestIdGetActivityDetail

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `request_id` | path | string | yes | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ActivityItemDetail`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `id` | string | yes | — | — |
| `status` | string | yes | enum: pending | running | completed | failed | cancelled | — |
| `model` | string | yes | — | — |
| `custom_id` | string \| null | no | — | — |
| `type` | string | yes | enum: standalone | batch | stream | — |
| `batch_id` | string \| null | no | — | — |
| `stream_id` | string \| null | no | — | — |
| `created_at` | string | yes | date-time | — |
| `completed_at` | string \| null | no | — | — |
| `prompt_tokens` | integer \| null | no | — | — |
| `completion_tokens` | integer \| null | no | — | — |
| `total_tokens` | integer \| null | no | — | — |
| `cached_prompt_tokens` | integer \| null | no | — | — |
| `cost_micros` | integer \| null | no | — | — |
| `body_json` | object | yes | — | — |
| `result_json` | object \| null | no | — | — |
| `error_json` | object \| null | no | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/activity/ControlV1ActivityRequestIdGetActivityDetail
